## org.apache.http.impl.auth
Interface SpnegoTokenGenerator

    public interface SpnegoTokenGenerator

Abstract SPNEGO token generator. Implementations should take an Kerberos ticket and transform into a SPNEGO token.

Implementations of this interface are expected to be thread-safe.

Since:
  4.1

Method Summary
`byte[]` `generateSpnegoDERObject(byte[] kerberosTicket)`

Method Detail

### generateSpnegoDERObject

    byte[] generateSpnegoDERObject(byte[] kerberosTicket)
                                   throws IOException

  Throws:
    `IOException`

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.